API Reference
Check the status of a deletion request
GET
/v2/deletion_request https://api.cable.tech Authentication
- Bearer token in the Authorization header
deletion_request:read
Query parameters
-
deletion_request_idstring requiredThe unique identifier of the deletion request
Responses
200 Deletion request status
-
deletion_request_idstringThe unique identifier of the deletion request
-
resource_typestringThe type of resource that was deleted
-
resource_idstringThe unique identifier of the resource that was deleted
-
statusstringThe status of the deletion request
Allowed values
pendingprocessingcompleted
Errors
- 401 Unauthorized request
- 404 Deletion request not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-